Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class AbstractPollingPhysicalDevice

    java.lang.Object
      com.connecterra.util.event.AbstractEventProcessor
          com.connecterra.ale.reader.AbstractPhysicalDevice
              com.connecterra.ale.reader.AbstractPollingPhysicalDevice

All Implemented Interfaces:
  com.bea.rfid.edge.api.telemetry.Telemetered, ChannelManager.Proxy, PhysicalDevice, Controllable, EventProcessor, com.connecterra.util.plugin.Plugin

Direct Known Subclasses:
  AbstractDispatchingPollingPhysicalDevice

    public abstract class AbstractPollingPhysicalDevice

extends AbstractPhysicalDevice

Adds support for sequenced polling to the AbstractPhysicalDevice.

Nested Class Summary

Nested classes/interfaces inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice
`AbstractPhysicalDevice.AFIReadingTagProcessor, AbstractPhysicalDevice.BankReadTagProcessor, AbstractPhysicalDevice.BankTagProcessor, AbstractPhysicalDevice.BankWriteTagProcessor, AbstractPhysicalDevice.EPCglobalClass1Gen2TagProcessor, AbstractPhysicalDevice.EPCglobalTagProcessor, AbstractPhysicalDevice.EPCglobalTagReadProcessor, AbstractPhysicalDevice.EPCglobalTagWriteProcessor, AbstractPhysicalDevice.EPCTagData, AbstractPhysicalDevice.Requests, AbstractPhysicalDevice.TagData, AbstractPhysicalDevice.TagProcessor, AbstractPhysicalDevice.TagResultException`

Nested classes/interfaces inherited from class com.connecterra.util.event.AbstractEventProcessor
`AbstractEventProcessor.PeriodicEventHandle`

Field Summary

Fields inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice
`m_channelManager`

Constructor Summary
`AbstractPollingPhysicalDevice()`

Method Summary

Methods inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice
`addAFIParametersToPluginMeta, addDeviceChannel, addDeviceUnit, addForceAFIParameterToPluginMeta, addReadAFIParameterToPluginMeta, addReaderThread, addTagData, addToPluginMeta, getChannelState, getDeviceUnit, getForcedAFIValue, getLogger, getLogicalReaderSet, getPhysicalDeviceName, initialize, initializeSession, initializeSession, isForceAFI, isReadAFI, processOpSpecs, removeReaderThread, report, sendStatusRequest, setDeviceAttributes, shutdown, terminate, toString, updateRequests, waitForShutdown, waitForTermination`

Methods inherited from class com.connecterra.util.event.AbstractEventProcessor
`doASAP, doASAPOrBlock, doASAPOrDrop, doASAPOrThrow, doLater, doPeriodic, getEventReceiver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.connecterra.util.plugin.Plugin
`initialize`

Methods inherited from interface com.bea.rfid.edge.api.telemetry.Telemetered
`getDeviceAttributes, getDeviceType, getTelemetryAssociatedIdentity, telemeter`

Methods inherited from interface com.connecterra.ale.reader.ChannelManager.Proxy
`initialize, listenerExecute`

Methods inherited from interface com.connecterra.util.event.EventProcessor
`handleEvent`

Constructor Detail

### AbstractPollingPhysicalDevice

    public AbstractPollingPhysicalDevice()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD